package cn.iocoder.yudao.module.pms.dal.mysql;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.infra.dal.dataobject.codegen.CodegenColumnDO;
import cn.iocoder.yudao.module.pms.controller.admin.vo.IotInfoPageReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.IotInfoDO;
import cn.iocoder.yudao.module.system.dal.dataobject.user.AdminUserDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 资料 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface IotInfoMapper extends BaseMapperX<IotInfoDO> {

    default PageResult<IotInfoDO> selectPage(IotInfoPageReqVO reqVO, Collection<Long> classIds ) {
        return selectPage(reqVO, new LambdaQueryWrapperX<IotInfoDO>()
                .eqIfPresent(IotInfoDO::getDeviceId, reqVO.getDeviceId())
                .eqIfPresent(IotInfoDO::getDeptId, reqVO.getDeptId())
                .likeIfPresent(IotInfoDO::getFilename, reqVO.getFilename())
                .eqIfPresent(IotInfoDO::getFileType, reqVO.getFileType())
                .eqIfPresent(IotInfoDO::getFilePath, reqVO.getFilePath())
                .inIfPresent(IotInfoDO::getClassId, classIds)
                .eqIfPresent(IotInfoDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(IotInfoDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(IotInfoDO::getId));
    }

    default void deleteListByClassId(List<Long> classIds) {
        delete(new LambdaQueryWrapperX<IotInfoDO>()
                .inIfPresent(IotInfoDO::getClassId, classIds));
    }
}
